# Bio.PDB.Structure module

The structure class, representing a macromolecular structure.

class Bio.PDB.Structure.Structure(id)

  Bases: `Entity`[`None`, `Model`]

  The Structure class contains a collection of Model instances.

  __init__(id)

    Initialize the class.

  __repr__()

    Return the structure identifier.

  get_models()

    Return models.

  get_chains()

    Return chains from models.

  get_residues()

    Return residues from chains.

  get_atoms()

    Return atoms from residue.

  atom_to_internal_coordinates(verbose: bool = False) → None

    Create/update internal coordinates from Atom X,Y,Z coordinates.

    Internal coordinates are bond length, angle and dihedral angles.

    Parameters:

      bool (verbose) – default False describe runtime problems

  internal_to_atom_coordinates(verbose: bool = False) → None

    Create/update atom coordinates from internal coordinates.

    Parameters:

      bool (verbose) – default False describe runtime problems

    Raises:

      Exception – if any chain does not have .internal_coord attribute

  __annotate_func__ = None
  __annotations_cache__ = {'child_dict': 'dict[Any, _Child]', 'child_list': 'list[_Child]', 'level': 'str', 'parent': '_Parent | None'}
  __firstlineno__ = 18
  __orig_bases__ = (Bio.PDB.Entity.Entity[NoneType, ForwardRef('Model')],)
  __parameters__ = ()
  __static_attributes__ = ('level',)

Biopython v: 1.86

Versions
  Previous
  Latest
  Develop

Biopython Project
  Homepage
  On GitHub